ELBA-2019-4832

ELBA-2019-4832 - podman bug fix update

Type:BUG
Severity:NA
Release Date:2019-10-30

Description


podman
[1.4.4-4.0.1]
- delivering fix for [Orabug: 29874238] by Nikita Gerasimov

[1.4.4-4]
- Resolves: #1741264 - remove unnecessary dep on atomic-registries

[1.4.4-3]
- use 1.4.4 in RHEL7u7

[1.4.4-2]
- Resolves: #1728242

[1.4.4-1]
- bump to v1.4.4

[1.4.3-1]
- bump to v1.4.3

[1.4.1-1]
- bump to v1.4.1
- bump conmon to v0.3.0

[1.4.0-2]
- build only supported arches

[1.4.0-1]
- rebase to v1.4.0
- use conmon v0.2.0

[1.3.2-1.git14fdcd0]
- Resolves: #1714700
- bump to v1.3.2

[1.3.1-1.git7210727]
- Resolves: #1710265
- bump to v1.3.1

[1.3.0-1.git139afa7]
- Resolves: #1701922, #1689862, #1418418, #1418422, #1649044, #1534505
- BR: systemd-devel

[1.2.0-3.git3bd528e]
- Ensure correct upstream version number

[1.2-2.git3bd528e]
- rebase

[1.1.2-2.git0ad9b6b]
- system renumber when upgrading from version lower than 1.1
- centos build envs don't have make by default

[1.1.2-1.git0ad9b6b]
- bump to v1.1.2

[1.0.1-2.git921f98f]
- last rebase was to version 1.0.1 actually

[1.0.0-3.git921f98f]
- rebase

[1.0.0-2.git6d7d90e]
- rebase

[1.0.0-1.git82e8011]
- rebase to v1, yay!
- rebase conmon to 9b1f0a08285a7f74b21cc9b6bfd98a48905a7ba2

[0.12.1.2-2.git9551f6b]
- rebase

[0.11.1.1-5.git594495d]
- varlink not in rhel7, remove unitfiles. https://bugzilla.redhat.com/show_bug.cgi?id=1657303

[0.11.1.1-4.git594495d]
- openssl-devel needed only with scl go toolset

[0.11.1.1-3.git594495d]
- correctly generate debuginfo by updating gobuild def

[0.11.1.1-2.git594495d]
- enable debuginfo for conmon

[0.11.1.1-1.git594495d]
- Resolves: #1649563, #1648429
- bump to v0.11.1.1
- built libpod commit 594495d

[0.11.1-2.gita4adfe5]
- fix conflicts with docker and docker-common

[0.11.1-1.gita4adfe5]
- bump to v0.11.1
- subpackage podman-docker
- built libpod commit a4adfe5
- built conmon from cri-o commit 464dba6

[0.10.1.3-4.gitee513cc]
- rpm macro for centos

[0.10.1.3-3.gitee513cc]
- rebase

[0.10.1.3-2.git6e1aeb0]
- rebase to 6e1aeb06f86bfed7045be19c8e8b09c1bf5ba55f
- rebase cri-o to 1.12

[0.10.1.3-1.gitdb08685]
- Resolves: #1640342 - update vendored buildah to allow building when there are
containers running

[0.10.1.2-1.git2b4f8d1]
- Resolves: #1627891
- bump to v0.10.1.2
- built podman commit 2b4f8d1

[0.10.1.1-1.git4bea3e9]
- bump podman to v0.10.1.1
- built podman commit 4bea3e9
- built conmon from cri-o commit a30f93c

[0.9.3.1-4.gita3c4ce6]
- rebased cri-o to 1.11.6

[0.9.3.1-3.gita3c4ce6]
- rebase

[0.9.3.1-2.git1cd906d]
- rebase

[0.9.3-2.gita723353]
- rebase

[0.9.2.1-1.git19cb754]
- Merge in fixes for podman build, to handle symbolic links and running sudo in Dockerfile

[0.9.2-5.git37a2afe]
- rebase to podman 0.9.2
- rebase to cri-o 0.11.4

[0.9.1-4.gitaba58d1]
- podman no longer requires oci-systemd-hook

[0.9.1-3.gitaba58d1]
- Grab correct commit for podman-0.9.1

[0.8.5-3.gitdc5a711]
- rebased cri-o to 1.11.2

[0.8.5-2.gitdc5a711]
- rebase

[0.8.4-3.git9f9b8cf]
- depend on oci-systemd-hook

[0.8.4-2.git9f9b8cf]
- rebase

[0.8.2.1-1.git7a526bb]
- Upstream 0.8.2.1 release

[0.8.1-1.git6b4ab2a]
- Bump to v0.8.1

[0.7.3-2.git079121]
- Turn on ostree support
- Upstream 0.7.3

[0.7.2-2.git4ca4c5f]
- Upstream 0.7.2 release

[0.7.1-3.git84cfdb2]
- rebuilt

[0.7.1-2.git84cfdb2]
- rebase to 84cfdb2

[0.7.1-1.git802d4f2]
- Upstream 0.7.1 release

[0.6.4-2.gitd5beb2f]
- disable devel and unittest subpackages
- include conditionals for rhel-8.0

[0.6.4-1.gitd5beb2f]
- do not compress debuginfo with dwz to support delve debugger

[0.6.1-3.git3e0ff12]
- do not compress debuginfo with dwz to support delve debugger

[0.6.1-2.git3e0ff12]
- bash completion shouldn't have shebang

[0.6.1-1.git3e0ff12]
- Resolves: #1584429 - drop capabilities when running a container as non-root
- bump to v0.6.1
- built podman commit 3e0ff12
- built conmon from cri-o commit 1c0c3b0
- drop containernetworking-plugins subpackage, it's now split out into a standalone
package

[0.4.1-4.gitb51d327]
- Resolves: #1572538 - build host-device and portmap plugins

[0.4.1-3.gitb51d327]
- correct dep on containernetworking-plugins

[0.4.1-2.gitb51d327]
- add containernetworking-plugins v0.7.0 as a subpackage (podman dep)
- release tag for the containernetworking-plugins is actually gotten from
podman release tag.

[0.4.1-1.gitb51d327]
- bump to v0.4.1
- built commit b51d327

[0.3.3-1.dev.gitbc358eb]
- built podman commit bc358eb
- built conmon from cri-o commit 712f3b8

[0.3.2-1.gitf79a39a]
- Release 0.3.2-1

[0.3.1-2.git98b95ff]
- Correct RPM version

[0.3.1-1-gitc187538]
- Release 0.3.1-1

[0.2.2-2.git525e3b1]
- Build on ARMv7 too (Fedora supports containers on that arch too)

[0.2.2-1.git525e3b1]
- Release 0.2.2

[0.2.1-1.git3d0100b]
- Release 0.2.1

[0.2-3.git3d0100b]
- Add dep for atomic-registries

[0.2-2.git3d0100b]
- Add more 64bit arches
- Add containernetworking-cni dependancy
- Add iptables dependancy

[0-2.1.git3d0100]
- Release 0.2

[0-0.3.git367213a]
- Resolves: #1541554 - first official build
- built commit 367213a

[0-0.2.git0387f69]
- built commit 0387f69

[0-0.1.gitc1b2278]
- First package for Fedora

skopeo
[1:0.1.37-3.0.1]
- add oracle registry into the conf file [Orabug: 29845934, 30302344]
- delivering fix for [Orabug: 29874238] by Nikita Gerasimov

[1:0.1.37-3]
- rebase to 0.1.37 for RHEL7u7

[1:0.1.37-1]
- bump to v0.1.37

[1:0.1.36-2]
- Resolves: #1693961 - /usr/share/rhel/secrets is 755

[1:0.1.36-1]
- Resolves: #1717921 - rebase to v0.1.36

[1:0.1.35-2.git404c5bd]
- rebase

[1:0.1.31-8.gitb0b750d]
- Resolves: #1667289 - install /usr/share/containers/seccomp.json

[1:0.1.31-7.gitb0b750d]
- change obsoletes conditional for skopeo-containers

[1:0.1.31-6.gitb0b750d]
- properly obsolete 1:0.1.31-1

[1:0.1.31-5.gitb0b750d]
- macros for centos

[1:0.1.31-4.gitb0b750d]
- rebase

[0.1.31-2.gite3034e1]
- add statx to seccomp.json to containers-config
- Change skopeo-containers to containers-common

[0.1.31-1.dev.gitae64ff7]
- Resolves: #1599980, #1599224
- bump to v0.1.31-dev
- built commit ae64ff7

[0.1.30-14.gitca3bff6]
- Add devicemapper support

[1:0.1.29-3.git7add6fc]
- move registries.conf to skopeo-containers from atomic

[0.1.29-2.git]
- bump to 0.1.29-1
- Updated containers/image
docker-archive generates docker legacy compatible images
Do not create subdirectories for layers with no configs
Ensure the layer IDs in legacy docker/tarfile metadata are unique
docker-archive: repeated layers are symlinked in the tar file
sysregistries: remove all trailing slashes
Improve docker/* error messages
Fix failure to make auth directory
Create a new slice in Schema1.UpdateLayerInfos
Drop unused storageImageDestination.{image,systemContext}
Load a *storage.Image only once in storageImageSource
Support gzip for docker-archive files
Remove .tar extension from blob and config file names
ostree, src: support copy of compressed layers
ostree: re-pull layer if it misses uncompressed_digest|uncompressed_size
image: fix docker schema v1 -> OCI conversion
Add /etc/containers/certs.d as default certs directory

[1:0.1.29-1.dev,gitb08350d]
- Resolves: #1543707

[1:0.1.28-1.git0270e56]
- rebased to 0.1.28

[1:0.1.27-3.dev.git14245f2]
- rebased to 0.1.27-3.dev.git14245f2

[1:0.1.26-2.dev.git2e8377a]
- bump changelog

[0.1.25-2.git2e8377a7]
- Add manifest type conversion to skopeo copy
- User can select from 3 manifest types: oci, v2s1, or v2s2
- e.g skopeo copy --format v2s1 --compress-blobs docker-archive:alp.tar dir:my-directory

[0.1.25-2.git7fd6f66b]
- Force storage.conf to default to overlay

[0.1.25-1.git7fd6f66b]
- Fix CVE in tar-split
- copy: add shared blob directory support for OCI sources/destinations
- Aligning Docker version between containers/image and skopeo
- Update image-tools, and remove the duplicate Sirupsen/logrus vendor
- makefile: use -buildmode=pie

[1:0.1.24-8.git28d4e08a]
- Add /usr/share/containers/mounts.conf

[1:0.1.24-5.gitdd2c3e3]
- built commit dd2c3e3a8e33b849f3625f4f56fa229c76448629

[1:0.1.24-3.dev.git28d4e08]
- add rhel subscription secrets date to skopeo-containers
- skopeo-containers conflicts with docker >= 2:1.13.1-61

[1:0.1.24-2.dev.git28d4e08]
- Update container/storage.conf and containers-storage.conf man page
- Default override to true so it is consistent with RHEL.

[1:0.1.24-1.dev.git28d4e08]
- Resolves: #1499274
- built commit 28d4e08

[1:0.1.23-1.git1bbd87f]
- Resolves: #1455575, #1478416, #1387217
- bump to v0.1.23

[1:0.1.20-2.1.gite802625]
- bump release to 2.1
- built commit e802625b7cb7f4af9ab77bd2be9eb441ff2f28a2

[1:0.1.20-1.1.gite802625]
- built commit e802625b7cb7f4af9ab77bd2be9eb441ff2f28a2

[1:0.1.19-1.1.git62e3747]
- bump to v0.1.19
- built commit 62e3747

[1:0.1.18-1.2]
- build for all available arches (previous build didn't do this)

[1:0.1.18-1.1]
- rebuilt for all arches on extras 7.4
- enable debuginfo package

[1:0.1.18-1]
- btrfs-progs-devel, device-mapper-devel added to build dependencies
- built commit b08008c

[1:0.1.17-1]
- Resolves: #1404274 - ship upstream v0.1.17 release
- built commit b3b4e2b

[1:0.1.17-0.7.git1f655f3]
- runtime dep was missing epoch value, added now

[1:0.1.17-0.6.git1f655f3]
- Resolves: #1396531 - list skopeo runtime requirements correctly

[1:0.1.17-0.5]
- built commit 1f655f3

[1:0.1.17-0.4]
- Resolves: #1386386 - skopeo-containers conflicts with atomic <= 1.13.1-1
- use correct bug number, #1385584 was for atomic

[1:0.1.17-0.3]
- Resolves: #1385584 - skopeo-containers conflicts with atomic <= 1.13.1-1

[1:0.1.17-0.2]
- obsoletes atomic, fixed dependencies
- %{_sysconfdir}/containers/ owned only by skopeo-containers

[1:0.1.17-0.1]
- rebase, skopeo-containers subpackage added

[1:0.1.14-0.6]
- built mtrmac/integrate-all-the-things commit d830391

[1:0.1.14-0.5]
- built mtrmac/integrate-all-the-things commit 85e4551

[1:0.1.14-0.4]
- built mtrmac/integrate-all-the-things commit 02b9f8b

[1:0.1.14-0.3]
- built mtrmac/integrate-all-the-things commit b3fcce0

[1:0.1.14-0.2.dev]
- own the whole bash-completion dir (https://fedoraproject.org/wiki/Packaging:Guidelines)

[1:0.1.14-0.1.dev]
- update to 0.1.14-dev

[1:0.1.13-8]
- bump release, srpm issues in previous build

[1:0.1.13-7]
- build with golang >= 1.6.2

[1:0.1.13-6]
- Bump Epoch to 1 since that's what skopeo had when it was an atomic
subpackage

[0.1.13-5]
- include go-srpm-macros and compiler(go-compiler) in fedora conditionals
- define %gobuild if not already
- add patch to build with older version of golang

[0.1.13-4]
- update to v0.1.12

[0.1.12-3]
- fix go build source path

[0.1.12-2]
- update to v0.1.12

[0.1.11-1]
- update to v0.1.11

[0.1.10-1]
- update to v0.1.10
- change runcom -> projectatomic

[0.1.9-1]
- update to v0.1.9

[0.1.8-1]
- update to v0.1.8

[0.1.4-2]
- https://fedoraproject.org/wiki/Changes/golang1.6

[0.1.4]
- First package for Fedora

containernetworking-plugins
[0.8.1-2]
- use 0.8.1 release for RHEL 7.7

[0.8.1-1]
- Resolves: #1717915 - bump to v0.8.1

[0.8.0-1]
- Resolves: #1709630 - rebase to v0.8.0

[0.7.5-2]
- rebase

[0.7.4-1]
- Resolves: #1664009 - bump to v0.7.4
- remove unused devel and unit-test* packages
- update go build env

[0.7.3-3]
- buildrequires for centos

[0.7.3-2]
- rebase

[0.7.1-2]
- scl go toolset

[0.7.1-1]
- rebase

[0.7.0-101]
- rebase
- patches already upstream, removed

[0.6.0-6]
- Imported from Fedora
- Renamed CNI -> plugins

[0.6.0-4]
- Own the libexec cni directory

[0.6.0-3]
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

[0.6.0-2]
- skip settling IPv4 addresses

[0.6.0-1]
- rebased to 7480240de9749f9a0a5c8614b17f1f03e0c06ab9

[0.5.2-7]
- do not install to /opt (against Fedora Guidelines)

[0.5.2-6]
- Enable devel subpackage

[0.5.2-5]
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

[0.5.2-4]
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

[0.5.2-3]
- excludearch: ppc64 as it's not in goarches anymore
- re-enable s390x

[0.5.2-2]
- upstream moved to github.com/containernetworking/plugins
- built commit dcf7368
- provides: containernetworking-plugins
- use vendored deps because they're a lot less of a PITA
- excludearch: s390x for now (rhbz#1466865)

[0.5.2-1]
- Update to 0.5.2
- Softlink to default /opt/cni/bin directories

[0.5.1-1]
- Initial package




Updated Packages


Release/ArchitectureFilenameMD5sumSuperseded By Advisory
Oracle Linux 7 (x86_64) containernetworking-plugins-0.8.1-2.el7.src.rpmf2601388b8794ff2b0357ff1cd5d3169-
podman-1.4.4-4.0.1.el7.src.rpm296e02148416e70f0a9a5b8881d8bcc0-
skopeo-0.1.37-3.0.1.el7.src.rpmab04779689308b5c5d0ce50388df69f3-
containernetworking-plugins-0.8.1-2.el7.x86_64.rpm55a3a737a752440d577ff05a0aacd6cf-
containers-common-0.1.37-3.0.1.el7.x86_64.rpma5dc23f39ad548e772a09d1328586091-
podman-1.4.4-4.0.1.el7.x86_64.rpmab0d36bce83e17b725e386516effb345-
podman-docker-1.4.4-4.0.1.el7.noarch.rpm691e84cfd8f40887858336b41cdb908f-



This page is generated automatically and has not been checked for errors or omissions. For clarification or corrections please contact the Oracle Linux ULN team

software.hardware.complete